extensions / Commerce extension
POST
/__runtime/user/subscription/refund/confirmConfirm Refund
Confirms and processes a Stripe refund for a storefront customer's eligible subscription, returning the refund outcome.
POST
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront session.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Host | Yes | Not specified | Description: Value used by this operation. |
Cookie | Yes | Not specified | Description: Value used by this operation. |
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
Query Parameters
Request Body
Schema: SubscriptionRefundRequest
| Field | Required | Type | Details |
|---|---|---|---|
subscription_id | Yes | integer | Description: Identifier for subscription. |
Response Body
Example 200 response
json
{
"eligible": true,
"message": "string",
"note": "string",
"refund_type": "string",
"refund_amount": "string"
}Errors
400 BAD_REQUEST401 UNAUTHORIZED500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

